Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The reports page currently provides searching by :applied, :restarted, etc and grouping by period. Additional sub-filters such as "only

those of interest" and "the report that caused this host to be flagged elsewhere in the interface" would be useful.

Associated revisions

Revision 4cbaa406 - 10/21/2010 10:17 AM - Ohad Levy

Fixes #405 and Fixes #349 - Adds support to 2.6.x reports

NOTE: Its recommended to Backup your DB prior to using this patch.

History

#1 - 08/15/2010 12:48 PM - Ohad Levy

- Assignee changed from Ohad Levy to Paul Kelly

#2 - 08/26/2010 06:57 PM - Tony Garcia

One use case I currently have is "get all the hosts with same error in the last report", quite useful when we know how to fix something on a bunch of

servers presenting the same issue.

#3 - 08/26/2010 06:59 PM - Bash Shell

It would also be helpful if it was possible to search text in the report.

For example, if there was a yum install error "Couldn't install package foo",

then I can search for "foo" and select "With Error" to find only such reports.

#4 - 09/01/2010 01:53 PM - Paul Kelly

Comparing report entries will require a restructuring of the database as the logs are held in a serialized record and are not easily searched

#5 - 09/01/2010 05:43 PM - Ohad Levy

Paul Kelly wrote:

Comparing report entries will require a restructuring of the database as the logs are held in a serialized record and are not easily searched

 it seems that this is also required for proper support of 2.6 release, as the reporting internals has changed.

#6 - 10/21/2010 10:25 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 4cbaa406a1e0f354d52b43e9e6c7854ba36a847b.

#7 - 10/21/2010 10:29 AM - Ohad Levy
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4cbaa406a1e0f354d52b43e9e6c7854ba36a847b


- Target version set to 0.1-6

#8 - 10/21/2010 10:38 AM - Ohad Levy

- Status changed from Ready For Testing to Resolved

#9 - 10/21/2010 10:39 AM - Ohad Levy

- Assignee changed from Paul Kelly to Ohad Levy

#10 - 10/21/2010 10:44 AM - Ohad Levy

- Status changed from Resolved to Closed
